Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.sitegraph
Class StrutsConfigRetriever

    java.lang.Object
      org.apache.struts2.sitegraph.StrutsConfigRetriever

    public class StrutsConfigRetriever

extends java.lang.Object

Initializes and retrieves XWork config elements

Constructor Summary
`StrutsConfigRetriever()`

Method Summary
`static com.opensymphony.xwork2.config.entities.ActionConfig` | `getActionConfig(java.lang.String namespace, java.lang.String actionName)` Returns the ActionConfig for this action name at this namespace.
`static java.util.Map` | `getActionConfigs()` Returns a Map of all action names/configs
`static java.util.Set` | `getActionNames(java.lang.String namespace)` Return a Set of the action names for this namespace.
`static java.util.Set` | `getNamespaces()`
`static com.opensymphony.xwork2.config.entities.ResultConfig` | `getResultConfig(java.lang.String namespace, java.lang.String actionName, java.lang.String resultName)`
`static View` | `getView(java.lang.String namespace, java.lang.String actionName, java.lang.String resultName, int type)`
`static java.io.File` | `getViewFile(java.lang.String namespace, java.lang.String actionName, java.lang.String resultName)`
`static void` | `setConfiguration(java.lang.String configDir, java.lang.String[] views)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsConfigRetriever

    public StrutsConfigRetriever()

Method Detail

### getActionConfigs

    public static java.util.Map getActionConfigs()

  Returns a Map of all action names/configs

  Returns:
    Map of all action names/configs

### getNamespaces

    public static java.util.Set getNamespaces()

### getActionNames

    public static java.util.Set getActionNames(java.lang.String namespace)

  Return a Set of the action names for this namespace.

  Parameters:
    `namespace` -
  Returns:
    Set of the action names for this namespace.

### getActionConfig

    public static com.opensymphony.xwork2.config.entities.ActionConfig getActionConfig(java.lang.String namespace,
                                                                                       java.lang.String actionName)

  Returns the ActionConfig for this action name at this namespace.

  Parameters:
    `namespace` -
    `actionName` -
  Returns:
    The ActionConfig for this action name at this namespace.

### getResultConfig

    public static com.opensymphony.xwork2.config.entities.ResultConfig getResultConfig(java.lang.String namespace,
                                                                                       java.lang.String actionName,
                                                                                       java.lang.String resultName)

### getViewFile

    public static java.io.File getViewFile(java.lang.String namespace,
                                           java.lang.String actionName,
                                           java.lang.String resultName)

### getView

    public static View getView(java.lang.String namespace,
                               java.lang.String actionName,
                               java.lang.String resultName,
                               int type)

### setConfiguration

    public static void setConfiguration(java.lang.String configDir,
                                        java.lang.String[] views)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.